

<!DOCTYPE html>

<html lang="ja">
  <head>
    <meta charset="utf-8" />
    <meta name="viewport" content="width=device-width, initial-scale=1.0" />
    <title>7.3.58. shutdown &#8212; Groonga v10.1.1-31-g1e46ba6ドキュメント</title>
    <link rel="stylesheet" href="../../_static/groonga.css" type="text/css" />
    <link rel="stylesheet" href="../../_static/pygments.css" type="text/css" />
    
    <script id="documentation_options" data-url_root="../../" src="../../_static/documentation_options.js"></script>
    <script src="../../_static/jquery.js"></script>
    <script src="../../_static/underscore.js"></script>
    <script src="../../_static/doctools.js"></script>
    <script src="../../_static/language_data.js"></script>
    <script src="../../_static/translations.js"></script>
    
    <link rel="shortcut icon" href="../../_static/favicon.ico"/>
    <link rel="index" title="索引" href="../../genindex.html" />
    <link rel="search" title="検索" href="../../search.html" />
    <link rel="next" title="7.3.59. status" href="status.html" />
    <link rel="prev" title="7.3.57. select" href="select.html" /> 
  </head><body>
<div class="header">
  <h1 class="title">
    <a id="top-link" href="../../index.html">
      <span class="project">groonga</span>
      <span class="separator">-</span>
      <span class="description">オープンソースのカラムストア機能付き全文検索エンジン</span>
    </a>
  </h1>

  <div class="other-language-links">
    <ul>
      <li><a href="../../../../en/html/reference/commands/shutdown.html">English</a></li>
    </ul>
  </div>
</div>
  

    <div class="related" role="navigation" aria-label="related navigation">
      <h3>ナビゲーション</h3>
      <ul>
        <li class="right" style="margin-right: 10px">
          <a href="../../genindex.html" title="総合索引"
             accesskey="I">索引</a></li>
        <li class="right" >
          <a href="status.html" title="7.3.59. status"
             accesskey="N">次へ</a> |</li>
        <li class="right" >
          <a href="select.html" title="7.3.57. select"
             accesskey="P">前へ</a> |</li>
        <li class="nav-item nav-item-0"><a href="../../index.html">Groonga v10.1.1-31-g1e46ba6ドキュメント</a> &#187;</li>
          <li class="nav-item nav-item-1"><a href="../../reference.html" ><span class="section-number">7. </span>リファレンスマニュアル</a> &#187;</li>
          <li class="nav-item nav-item-2"><a href="../command.html" accesskey="U"><span class="section-number">7.3. </span>コマンド</a> &#187;</li>
        <li class="nav-item nav-item-this"><a href=""><span class="section-number">7.3.58. </span><code class="docutils literal notranslate"><span class="pre">shutdown</span></code></a></li> 
      </ul>
    </div>  

    <div class="document">
      <div class="documentwrapper">
        <div class="bodywrapper">
          <div class="body" role="main">
            
  <div class="section" id="shutdown">
<h1><span class="section-number">7.3.58. </span><code class="docutils literal notranslate"><span class="pre">shutdown</span></code><a class="headerlink" href="#shutdown" title="このヘッドラインへのパーマリンク">¶</a></h1>
<div class="section" id="summary">
<h2><span class="section-number">7.3.58.1. </span>概要<a class="headerlink" href="#summary" title="このヘッドラインへのパーマリンク">¶</a></h2>
<p><code class="docutils literal notranslate"><span class="pre">shutdown</span></code> はGroongaサーバープロセスを終了します。</p>
<p><code class="docutils literal notranslate"><span class="pre">shutdown</span></code> はデフォルトではgraceful shutdownを使います。もし、実行中のコマンドがあるならそれらのコマンドが終了してからGroongaサーバープロセスを終了します。 <code class="docutils literal notranslate"><span class="pre">shutdown</span></code> コマンドを実行した後は新しいコマンドを実行されません。</p>
<div class="versionadded">
<p><span class="versionmodified added">バージョン 6.0.1 で追加: </span><code class="docutils literal notranslate"><span class="pre">shutdown</span></code> は <code class="docutils literal notranslate"><span class="pre">mode</span></code> パラメーターに <code class="docutils literal notranslate"><span class="pre">immediate</span></code> を指定するとimmediate shutdownを使います。たとえ実行中のコマンドがあってもGroongaサーバープロセスをすぐに終了します。</p>
<div class="admonition note">
<p class="admonition-title">注釈</p>
<p>immediate shutdownを使うにはすべてのリクエストに <a class="reference internal" href="../command/request_id.html"><span class="doc">リクエストID</span></a> を設定する必要があります。</p>
</div>
</div>
<div class="versionadded">
<p><span class="versionmodified added">バージョン 9.1.2 で追加: </span>Groonga HTTPサーバーは全てのスレッドが使用中であってもimmediate shutdownを受け付けます。</p>
<div class="admonition note">
<p class="admonition-title">注釈</p>
<p>この機能はGroonga HTTPサーバでのみ使えます。</p>
</div>
</div>
</div>
<div class="section" id="syntax">
<h2><span class="section-number">7.3.58.2. </span>構文<a class="headerlink" href="#syntax" title="このヘッドラインへのパーマリンク">¶</a></h2>
<p>このコマンドの引数は1つで省略できます:</p>
<div class="highlight-none notranslate"><div class="highlight"><pre><span></span>shutdown [mode=graceful]
</pre></div>
</div>
</div>
<div class="section" id="usage">
<h2><span class="section-number">7.3.58.3. </span>使い方<a class="headerlink" href="#usage" title="このヘッドラインへのパーマリンク">¶</a></h2>
<p><code class="docutils literal notranslate"><span class="pre">shutdown</span></code> はデフォルトではgraceful shutdownを使います。</p>
<p>実行例:</p>
<div class="highlight-none notranslate"><div class="highlight"><pre><span></span>shutdown
# [[0, 1337566253.89858, 0.000355720520019531], true]
</pre></div>
</div>
<p>明示的に <code class="docutils literal notranslate"><span class="pre">mode</span></code> パラメーターに <code class="docutils literal notranslate"><span class="pre">graceful</span></code> を指定することもできます。</p>
<p>実行例:</p>
<div class="highlight-none notranslate"><div class="highlight"><pre><span></span>shutdown --mode graceful
# [[0, 1337566253.89858, 0.000355720520019531], true]
</pre></div>
</div>
<p><code class="docutils literal notranslate"><span class="pre">mode</span></code> パラメーターに <code class="docutils literal notranslate"><span class="pre">immediate</span></code> を指定することでimmediate shutdownを使うことができます。</p>
<p>実行例:</p>
<div class="highlight-none notranslate"><div class="highlight"><pre><span></span>shutdown --mode immediate
# [[0, 1337566253.89858, 0.000355720520019531], true]
</pre></div>
</div>
<p>immediate shutdownはgraceful shutdownする時間がないときに便利です。たとえば、WindowsはWindowsをシャットダウンするときに時間内に終了しないサービスを強制終了します。</p>
</div>
<div class="section" id="parameters">
<h2><span class="section-number">7.3.58.4. </span>引数<a class="headerlink" href="#parameters" title="このヘッドラインへのパーマリンク">¶</a></h2>
<p>このセクションではこのコマンドのパラメーターを説明します。</p>
<div class="section" id="required-parameters">
<h3><span class="section-number">7.3.58.4.1. </span>必須引数<a class="headerlink" href="#required-parameters" title="このヘッドラインへのパーマリンク">¶</a></h3>
<p>必須の引数はありません。</p>
</div>
<div class="section" id="optional-parameters">
<h3><span class="section-number">7.3.58.4.2. </span>省略可能引数<a class="headerlink" href="#optional-parameters" title="このヘッドラインへのパーマリンク">¶</a></h3>
<p>いくつか省略可能な引数があります。</p>
<div class="section" id="mode">
<h4><span class="section-number">7.3.58.4.2.1. </span><code class="docutils literal notranslate"><span class="pre">mode</span></code><a class="headerlink" href="#mode" title="このヘッドラインへのパーマリンク">¶</a></h4>
<p>シャットダウンのモードを指定します。利用可能なモードは次の通りです。</p>
<table class="docutils align-default">
<colgroup>
<col style="width: 50%" />
<col style="width: 50%" />
</colgroup>
<thead>
<tr class="row-odd"><th class="head"><p>値</p></th>
<th class="head"><p>説明</p></th>
</tr>
</thead>
<tbody>
<tr class="row-even"><td><p><code class="docutils literal notranslate"><span class="pre">graceful</span></code></p></td>
<td><p>実行中のコマンドが終了してから終了します。</p>
<p>これがデフォルトです。</p>
</td>
</tr>
<tr class="row-odd"><td><p><code class="docutils literal notranslate"><span class="pre">immediate</span></code></p></td>
<td><div class="versionadded">
<p><span class="versionmodified added">バージョン 6.0.1 で追加: </span>実行中のコマンドがあってもすぐに終了します。</p>
</div>
</td>
</tr>
</tbody>
</table>
</div>
</div>
</div>
<div class="section" id="return-value">
<h2><span class="section-number">7.3.58.5. </span>戻り値<a class="headerlink" href="#return-value" title="このヘッドラインへのパーマリンク">¶</a></h2>
<p><code class="docutils literal notranslate"><span class="pre">shutdown</span></code> はシャットダウンを受け付けたときは以下のようにボディが <code class="docutils literal notranslate"><span class="pre">true</span></code> になります。:</p>
<div class="highlight-none notranslate"><div class="highlight"><pre><span></span>[HEADER, true]
</pre></div>
</div>
<p><code class="docutils literal notranslate"><span class="pre">shutdown</span></code> がシャットダウンを受け付けなかったら <code class="docutils literal notranslate"><span class="pre">HEADER</span></code> にエラーの詳細が含まれます。</p>
<p><code class="docutils literal notranslate"><span class="pre">HEADER</span></code> については <a class="reference internal" href="../command/output_format.html"><span class="doc">出力形式</span></a> を参照してください。</p>
</div>
</div>


            <div class="clearer"></div>
          </div>
        </div>
      </div>
      <div class="sphinxsidebar" role="navigation" aria-label="main navigation">
        <div class="sphinxsidebarwrapper">
  <h3><a href="../../index.html">目次</a></h3>
  <ul>
<li><a class="reference internal" href="#">7.3.58. <code class="docutils literal notranslate"><span class="pre">shutdown</span></code></a><ul>
<li><a class="reference internal" href="#summary">7.3.58.1. 概要</a></li>
<li><a class="reference internal" href="#syntax">7.3.58.2. 構文</a></li>
<li><a class="reference internal" href="#usage">7.3.58.3. 使い方</a></li>
<li><a class="reference internal" href="#parameters">7.3.58.4. 引数</a><ul>
<li><a class="reference internal" href="#required-parameters">7.3.58.4.1. 必須引数</a></li>
<li><a class="reference internal" href="#optional-parameters">7.3.58.4.2. 省略可能引数</a><ul>
<li><a class="reference internal" href="#mode">7.3.58.4.2.1. <code class="docutils literal notranslate"><span class="pre">mode</span></code></a></li>
</ul>
</li>
</ul>
</li>
<li><a class="reference internal" href="#return-value">7.3.58.5. 戻り値</a></li>
</ul>
</li>
</ul>

  <h4>前のトピックへ</h4>
  <p class="topless"><a href="select.html"
                        title="前の章へ"><span class="section-number">7.3.57. </span><code class="docutils literal notranslate"><span class="pre">select</span></code></a></p>
  <h4>次のトピックへ</h4>
  <p class="topless"><a href="status.html"
                        title="次の章へ"><span class="section-number">7.3.59. </span><code class="docutils literal notranslate"><span class="pre">status</span></code></a></p>
<div id="searchbox" style="display: none" role="search">
  <h3 id="searchlabel">クイック検索</h3>
    <div class="searchformwrapper">
    <form class="search" action="../../search.html" method="get">
      <input type="text" name="q" aria-labelledby="searchlabel" />
      <input type="submit" value="検索" />
    </form>
    </div>
</div>
<script>$('#searchbox').show(0);</script>
        </div>
      </div>
      <div class="clearer"></div>
    </div>
    <div class="related" role="navigation" aria-label="related navigation">
      <h3>ナビゲーション</h3>
      <ul>
        <li class="right" style="margin-right: 10px">
          <a href="../../genindex.html" title="総合索引"
             >索引</a></li>
        <li class="right" >
          <a href="status.html" title="7.3.59. status"
             >次へ</a> |</li>
        <li class="right" >
          <a href="select.html" title="7.3.57. select"
             >前へ</a> |</li>
        <li class="nav-item nav-item-0"><a href="../../index.html">Groonga v10.1.1-31-g1e46ba6ドキュメント</a> &#187;</li>
          <li class="nav-item nav-item-1"><a href="../../reference.html" ><span class="section-number">7. </span>リファレンスマニュアル</a> &#187;</li>
          <li class="nav-item nav-item-2"><a href="../command.html" ><span class="section-number">7.3. </span>コマンド</a> &#187;</li>
        <li class="nav-item nav-item-this"><a href=""><span class="section-number">7.3.58. </span><code class="docutils literal notranslate"><span class="pre">shutdown</span></code></a></li> 
      </ul>
    </div>
    <div class="footer" role="contentinfo">
        &#169; Copyright 2009-2021, Brazil, Inc.
    </div>
  </body>
</html>